xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) Daniel Schoepe (2009)
License | BSD3-style (see LICENSE)
Maintainer | Daniel Schoepe <daniel.schoepe@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | Safe
Language | Haskell98

XMonad.Util.Types

Description

Miscellaneous commonly used types.

Synopsis

- data Direction1D
  - = Next
  - | Prev
- data Direction2D
  - = U
  - | D
  - | R
  - | L

# Documentation

data Direction1D Source

One-dimensional directions:

Constructors

Next |
Prev |

Instances

Eq Direction1D Source |
Read Direction1D Source |
Show Direction1D Source |

data Direction2D Source

Two-dimensional directions:

Constructors

U | Up
D | Down
R | Right
L | Left

Instances

Bounded Direction2D Source |
Enum Direction2D Source |
Eq Direction2D Source |
Ord Direction2D Source |
Read Direction2D Source |
Show Direction2D Source |